<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateLeaveNotifiesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('leave_notifies', function (Blueprint $table) {
            $table->id();
            $table->integer('leave_id')->unsigned()->comment('primary keys of leave_apllications table');
            $table->integer('emp_id')->unsigned()->comment('primary keys of leave_apllications table');
            $table->boolean('is_seen')->default(false);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('leave_notifies');
    }
}
